MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022858Open CASCADE[OCCT] OCCT:VISpublic2011-12-16 16:502014-11-11 12:58
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022858: API to get activated selection modes for IVtk_IShape
DescriptionMethods to get activated selection modes for a given IVtk_IShape are needed in IVtk_IShapePickerAlgo and IVtkTools_ShapePicker classes.
Steps To ReproduceAdded methods:
- for IVtkTools_ShapePicker

  //! Get activated selection modes for a shape.
  //! @param [in] shape a shape with activated selection mode(s)
  //! @return list of active selection modes
  IVtk_SelectionModeList GetSelectionModes (const IVtk_IShape::Handle& shape) const;

  //! Get activated selection modes for a shape actor.
  //! @param [in] shape a shape with activated selection mode(s)
  //! @return list of active selection modes
  IVtk_SelectionModeList GetSelectionModes (vtkActor* shapeActor) const;

- for ShapePickerAlgo (interface and implementation)

  //! Get activated selection modes for a shape.
  //! @param [in] shape a shape with activated selection mode(s)
  //! @return list of active selection modes
  IVtk_SelectionModeList getSelectionModes (
                                  const IVtk_IShape::Handle& shape);
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024904closedbugmaster Visualization - Integration of VIS component 

-  Notes
(0021270)
san (developer)
2012-08-18 14:41

The issues was created during development of VIS component for development needs only.
The issue has been corrected and should be closed, no testing is required.

- Issue History
Date Modified Username Field Change
2011-12-16 16:50 san New Issue
2011-12-16 16:50 san Assigned To => rkv
2011-12-16 16:50 san Status new => assigned
2011-12-19 15:12 rkv Status assigned => resolved
2011-12-19 15:12 rkv Steps to Reproduce Updated View Revisions
2011-12-19 15:13 rkv Steps to Reproduce Updated View Revisions
2011-12-26 07:39 abv Project Open CASCADE => Internal
2012-05-12 17:34 mkv Assigned To rkv => san
2012-08-18 14:41 san Note Added: 0021270
2012-08-18 14:41 san Assigned To san => bugmaster
2012-08-18 14:41 san Status resolved => reviewed
2014-09-18 09:50 abv Target Version => 6.8.0
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-22 11:39 apn Test case number => Not needed
2014-09-22 11:39 apn Assigned To bugmaster => san
2014-09-22 11:39 apn Status reviewed => closed
2014-09-22 11:39 apn Resolution open => fixed
2014-09-22 13:36 apn Assigned To san => bugmaster
2014-09-22 13:36 apn Status closed => feedback
2014-09-22 13:36 apn Status feedback => tested
2014-09-22 13:37 apn Status tested => verified
2014-09-22 13:37 apn Relationship added related to 0024904
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker